# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
# Test 11.2.1: JSON chat message parsing
# Bug #6568: Incorrect parsing of JSON vs non-JSON chat messages in 0.120.1
description: 'Regression test - JSON chat message parsing'

providers:
  - echo

# This uses a JSON file containing chat messages in array format
prompts:
  - file://../prompts/chat.json

tests:
  - vars:
      name: ChatParseTest
    assert:
      - type: contains
        value: ChatParseTest
